mysqli::next_result
mysqli::ping
MySQLi
PHP Manual

# mysqli::options

# mysqli_options

(PHP 5)

mysqli::options -- mysqli_options — Set options

### 설명

Object oriented style (method)

bool mysqli::options ( int `$option` , mixed `$value` )

Procedural style:

bool mysqli_options ( mysqli `$link` , int `$option` , mixed `$value` )

Used to set extra connect options and affect behavior for a connection.

This function may be called multiple times to set several options.

mysqli_options() should be called after mysqli_init() and before mysqli_real_connect().

### 인수

`link`

  순차 형식 전용: mysqli_connect()나 mysqli_init()가 반환한 연결 식별자.

`option`

  The option that you want to set. It can be one of the following values:

  Valid options
  Name | Description
  --- | ---
  `MYSQLI_OPT_CONNECT_TIMEOUT` | connection timeout in seconds
  `MYSQLI_OPT_LOCAL_INFILE` | enable/disable use of LOAD LOCAL INFILE
  `MYSQLI_INIT_COMMAND` | command to execute after when connecting to MySQL server
  `MYSQLI_READ_DEFAULT_FILE` | Read options from named option file instead of my.cnf
  `MYSQLI_READ_DEFAULT_GROUP` | Read options from the named group from my.cnf or the file specified with `MYSQL_READ_DEFAULT_FILE`.

`value`

  The value for the option.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다.

### 예제

See mysqli_real_connect().

### 참고

- mysqli_init() - Initializes MySQLi and returns a resource for use with mysqli_real_connect()
- mysqli_real_connect() - Opens a connection to a mysql server

mysqli::next_result
mysqli::ping
MySQLi
PHP Manual